"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.format = void 0;
var date_1 = require("./utils/date");
var register_1 = require("./register");
/**
 * format a TDate into string
 * @param date
 * @param locale
 * @param opts
 */
var format = function (date, locale, opts) {
    // diff seconds
    var sec = (0, date_1.diffSec)(date, opts && opts.relativeDate);
    // format it with locale
    return (0, date_1.formatDiff)(sec, (0, register_1.getLocale)(locale));
};
exports.format = format;
//# sourceMappingURL=format.js.map